CmsMarket Class Reference

set of CMS quotes More...

`#include <ql/termstructures/volatility/swaption/cmsmarket.hpp>`

Inheritance diagram for CmsMarket:
[legend]

## Public Member Functions

| CmsMarket (const std::vector< Period > &swapLengths, const std::vector< ext::shared_ptr< SwapIndex > > &swapIndexes, const ext::shared_ptr< IborIndex > &iborIndex, const std::vector< std::vector< Handle< Quote > > > &bidAskSpreads, const std::vector< ext::shared_ptr< CmsCouponPricer > > &pricers, const Handle< YieldTermStructure > &discountingTS)
Public Member Functions inherited from LazyObject
void | recalculate ()
void | freeze ()
void | unfreeze ()
void | alwaysForwardNotifications ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## LazyObject interface

void | update ()
void | reprice (const Handle< SwaptionVolatilityStructure > &volStructure, Real meanReversion)
const std::vector< Period > & | swapTenors () const
const std::vector< Period > & | swapLengths () const
const Matrix & | impliedCmsSpreads ()
const Matrix & | spreadErrors ()
Matrix | browse () const
Real | weightedSpreadError (const Matrix &weights)
Real | weightedSpotNpvError (const Matrix &weights)
Real | weightedFwdNpvError (const Matrix &weights)
Disposable< Array > | weightedSpreadErrors (const Matrix &weights)
Disposable< Array > | weightedSpotNpvErrors (const Matrix &weights)
Disposable< Array > | weightedFwdNpvErrors (const Matrix &weights)

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Member Functions inherited from LazyObject
virtual void | calculate () const
Protected Attributes inherited from LazyObject
bool | calculated_
bool | frozen_
bool | alwaysForward_

## Detailed Description

set of CMS quotes

## Member Function Documentation

## update()

void update | ( |  | ) |

virtual

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Reimplemented from LazyObject.